Index: cpukit/score/cpu/arm/rtems/score/types.h
===================================================================
--- cpukit/score/cpu/arm/rtems/score/types.h	(revision aa4a3f1ac459dc478a7b34db4f58f825bdac3663)
+++ cpukit/score/cpu/arm/rtems/score/types.h	(revision 30e2df697af65d82c24e4fd6e23a4c7b9666a814)
@@ -23,4 +23,5 @@
 #ifndef ASM
 
+#include <stdbool.h>
 #include <rtems/stdint.h>
 
@@ -33,5 +34,5 @@
  */
 
-typedef uint32_t         boolean;            /* Boolean value   */
+typedef bool             boolean;            /* Boolean value   */
 typedef uint16_t         Priority_Bit_map_control;
 
Index: cpukit/score/cpu/avr/rtems/score/types.h
===================================================================
--- cpukit/score/cpu/avr/rtems/score/types.h	(revision aa4a3f1ac459dc478a7b34db4f58f825bdac3663)
+++ cpukit/score/cpu/avr/rtems/score/types.h	(revision 30e2df697af65d82c24e4fd6e23a4c7b9666a814)
@@ -22,4 +22,5 @@
 #ifndef ASM
 
+#include <stdbool.h>
 #include <rtems/stdint.h>
 
@@ -34,5 +35,5 @@
 typedef uint16_t     Priority_Bit_map_control;
 
-typedef uint32_t boolean;     /* Boolean value   */
+typedef bool         boolean;     /* Boolean value   */
 
 typedef float          single_precision;     /* single precision float */
Index: cpukit/score/cpu/bfin/rtems/score/types.h
===================================================================
--- cpukit/score/cpu/bfin/rtems/score/types.h	(revision aa4a3f1ac459dc478a7b34db4f58f825bdac3663)
+++ cpukit/score/cpu/bfin/rtems/score/types.h	(revision 30e2df697af65d82c24e4fd6e23a4c7b9666a814)
@@ -18,4 +18,5 @@
 #ifndef ASM
 
+#include <stdbool.h>
 #include <rtems/stdint.h>
 
@@ -32,5 +33,5 @@
 
 /** This defines the type for a Boolean value, */
-typedef uint32_t boolean;     /* Boolean value   */
+typedef bool boolean;     /* Boolean value   */
 
 /** This defines the type for a single precision float. */
Index: cpukit/score/cpu/c4x/rtems/score/types.h
===================================================================
--- cpukit/score/cpu/c4x/rtems/score/types.h	(revision aa4a3f1ac459dc478a7b34db4f58f825bdac3663)
+++ cpukit/score/cpu/c4x/rtems/score/types.h	(revision 30e2df697af65d82c24e4fd6e23a4c7b9666a814)
@@ -22,4 +22,5 @@
 #ifndef ASM
 
+#include <stdbool.h>
 #include <rtems/stdint.h>
 
@@ -34,5 +35,5 @@
 typedef uint_least16_t     Priority_Bit_map_control;
 
-typedef uint32_t boolean;     /* Boolean value   */
+typedef bool boolean;     /* Boolean value   */
 
 typedef float          single_precision;     /* single precision float */
Index: cpukit/score/cpu/h8300/rtems/score/types.h
===================================================================
--- cpukit/score/cpu/h8300/rtems/score/types.h	(revision aa4a3f1ac459dc478a7b34db4f58f825bdac3663)
+++ cpukit/score/cpu/h8300/rtems/score/types.h	(revision 30e2df697af65d82c24e4fd6e23a4c7b9666a814)
@@ -22,4 +22,5 @@
 #ifndef ASM
 
+#include <stdbool.h>
 #include <rtems/stdint.h>
 
@@ -34,5 +35,5 @@
 typedef uint16_t     Priority_Bit_map_control;
 
-typedef uint32_t boolean;     /* Boolean value   */
+typedef bool boolean;     /* Boolean value   */
 
 typedef float          single_precision;     /* single precision float */
Index: cpukit/score/cpu/i386/rtems/score/types.h
===================================================================
--- cpukit/score/cpu/i386/rtems/score/types.h	(revision aa4a3f1ac459dc478a7b34db4f58f825bdac3663)
+++ cpukit/score/cpu/i386/rtems/score/types.h	(revision 30e2df697af65d82c24e4fd6e23a4c7b9666a814)
@@ -22,4 +22,5 @@
 #ifndef ASM
 
+#include <stdbool.h>
 #include <rtems/stdint.h>
 
@@ -34,5 +35,5 @@
 typedef uint16_t Priority_Bit_map_control;
 
-typedef uint32_t boolean;     /* Boolean value   */
+typedef bool boolean;     /* Boolean value   */
 
 typedef float          single_precision;     /* single precision float */
Index: cpukit/score/cpu/m68k/rtems/score/types.h
===================================================================
--- cpukit/score/cpu/m68k/rtems/score/types.h	(revision aa4a3f1ac459dc478a7b34db4f58f825bdac3663)
+++ cpukit/score/cpu/m68k/rtems/score/types.h	(revision 30e2df697af65d82c24e4fd6e23a4c7b9666a814)
@@ -22,4 +22,5 @@
 #ifndef ASM
 
+#include <stdbool.h>
 #include <rtems/stdint.h>
 
@@ -34,5 +35,5 @@
 typedef uint16_t     Priority_Bit_map_control;
 
-typedef uint32_t boolean;     /* Boolean value   */
+typedef bool boolean;     /* Boolean value   */
 
 typedef float          single_precision;     /* single precision float */
Index: cpukit/score/cpu/mips/rtems/score/types.h
===================================================================
--- cpukit/score/cpu/mips/rtems/score/types.h	(revision aa4a3f1ac459dc478a7b34db4f58f825bdac3663)
+++ cpukit/score/cpu/mips/rtems/score/types.h	(revision 30e2df697af65d82c24e4fd6e23a4c7b9666a814)
@@ -23,4 +23,5 @@
 #ifndef ASM
 
+#include <stdbool.h>
 #include <rtems/stdint.h>
 
@@ -35,5 +36,5 @@
 typedef uint16_t     Priority_Bit_map_control;
 
-typedef uint32_t boolean;     /* Boolean value   */
+typedef bool boolean;     /* Boolean value   */
 
 typedef float          single_precision;     /* single precision float */
Index: cpukit/score/cpu/nios2/rtems/score/types.h
===================================================================
--- cpukit/score/cpu/nios2/rtems/score/types.h	(revision aa4a3f1ac459dc478a7b34db4f58f825bdac3663)
+++ cpukit/score/cpu/nios2/rtems/score/types.h	(revision 30e2df697af65d82c24e4fd6e23a4c7b9666a814)
@@ -22,4 +22,5 @@
 #ifndef ASM
 
+#include <stdbool.h>
 #include <rtems/stdint.h>
 
@@ -34,5 +35,5 @@
 typedef uint16_t Priority_Bit_map_control;
 
-typedef uint32_t boolean;     /* Boolean value   */
+typedef bool boolean;     /* Boolean value   */
 
 typedef float          single_precision;     /* single precision float */
Index: cpukit/score/cpu/no_cpu/rtems/score/types.h
===================================================================
--- cpukit/score/cpu/no_cpu/rtems/score/types.h	(revision aa4a3f1ac459dc478a7b34db4f58f825bdac3663)
+++ cpukit/score/cpu/no_cpu/rtems/score/types.h	(revision 30e2df697af65d82c24e4fd6e23a4c7b9666a814)
@@ -22,4 +22,5 @@
 #ifndef ASM
 
+#include <stdbool.h>
 #include <rtems/stdint.h>
 
@@ -36,5 +37,5 @@
 
 /** This defines the type for a Boolean value, */
-typedef uint32_t boolean;     /* Boolean value   */
+typedef bool boolean;     /* Boolean value   */
 
 /** This defines the type for a single precision float. */
Index: cpukit/score/cpu/powerpc/rtems/score/types.h
===================================================================
--- cpukit/score/cpu/powerpc/rtems/score/types.h	(revision aa4a3f1ac459dc478a7b34db4f58f825bdac3663)
+++ cpukit/score/cpu/powerpc/rtems/score/types.h	(revision 30e2df697af65d82c24e4fd6e23a4c7b9666a814)
@@ -39,4 +39,5 @@
 #ifndef ASM
 
+#include <stdbool.h>
 #include <rtems/stdint.h>
 
@@ -51,5 +52,5 @@
 typedef uint32_t     Priority_Bit_map_control;
 
-typedef uint32_t boolean;     /* Boolean value   */
+typedef bool boolean;     /* Boolean value   */
 
 typedef float          single_precision;     /* single precision float */
Index: cpukit/score/cpu/sh/rtems/score/types.h
===================================================================
--- cpukit/score/cpu/sh/rtems/score/types.h	(revision aa4a3f1ac459dc478a7b34db4f58f825bdac3663)
+++ cpukit/score/cpu/sh/rtems/score/types.h	(revision 30e2df697af65d82c24e4fd6e23a4c7b9666a814)
@@ -32,4 +32,5 @@
 #ifndef ASM
 
+#include <stdbool.h>
 #include <rtems/stdint.h>
 
@@ -44,5 +45,5 @@
 typedef uint16_t     Priority_Bit_map_control;
 
-typedef uint16_t boolean;	     		/* Boolean value, external */
+typedef bool boolean;	     			/* Boolean value, external */
 						/* data bus has 16 bits  */
 
Index: cpukit/score/cpu/sparc/rtems/score/types.h
===================================================================
--- cpukit/score/cpu/sparc/rtems/score/types.h	(revision aa4a3f1ac459dc478a7b34db4f58f825bdac3663)
+++ cpukit/score/cpu/sparc/rtems/score/types.h	(revision 30e2df697af65d82c24e4fd6e23a4c7b9666a814)
@@ -22,4 +22,5 @@
 #ifndef ASM
 
+#include <stdbool.h>
 #include <rtems/stdint.h>
 
@@ -34,5 +35,5 @@
 typedef uint16_t         Priority_Bit_map_control;
 
-typedef uint32_t         boolean;              /* Boolean value   */
+typedef bool         boolean;              /* Boolean value   */
 
 typedef float              single_precision;     /* single precision float */
Index: cpukit/score/cpu/unix/rtems/score/types.h
===================================================================
--- cpukit/score/cpu/unix/rtems/score/types.h	(revision aa4a3f1ac459dc478a7b34db4f58f825bdac3663)
+++ cpukit/score/cpu/unix/rtems/score/types.h	(revision 30e2df697af65d82c24e4fd6e23a4c7b9666a814)
@@ -22,4 +22,5 @@
 #ifndef ASM
 
+#include <stdbool.h>
 #include <rtems/stdint.h>
 
@@ -43,5 +44,5 @@
 typedef uint16_t     Priority_Bit_map_control;
 
-typedef uint32_t boolean;     /* Boolean value   */
+typedef bool boolean;     /* Boolean value   */
 
 typedef float          single_precision;     /* single precision float */
